当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : How To: "Simple" Install Xgl/compiz for Dapper, ATI, Gnome
帖子发表于 : 2006-02-23 17:23 

注册: 2005-10-29 16:49
帖子: 66
送出感谢: 0 次
接收感谢: 0 次
Default How To: "Simple" Install Xgl/compiz for Dapper, ATI, Gnome
Many people have contributed to this, some more than others as I've picked up the pieces I needed to make this work from through-out these forums.
But, in particular: terrax, JoWilly, and poofyhairguy

1. Get your xorg.conf setup properly. The main thread has more than enough information on this. Follow it paying attention to the ATI differences that are well noted.

Just to be clear however, these instructions are targeted for those people using the ATI Proprietary Driver ("fglrx"). This is configured in your xorg.conf. If you're using "ati" that's not going to work for you. If you're using "radeon" then this is theoretically possible (radeon is the OSS driver targeted more - for now - for your lower end Radeon cards, in particular the 9000/9200/9250)... but I wasn't able to get it to work with my lower end PC that uses the 9200. In both cases, there are known/outstanding bugs with both sets of drivers that require work arounds described below.

To make sure you are "accelerated", running with the new driver, try typing fglrxinfo in a terminal and see what you get. If it talks about ATI then awesome... if it talks about Mesa, you still don't have your driver setup properly (xorg.conf).

**For ATI do not enable composite in xorg.conf, xgl does not need it.

2. Install all the new stuff from the Dapper universe repository... this includes xserver-xgl, compiz, libgl1-mesa, libgl1-mesa-dri, libglitz1, libglitz-glx1 and any dependencies.

3. Modify /etc/gdm/gdm.conf-custom - For most this file is generally full of empty stubs. Look for the one called [servers] and do this:

Code:

[servers] # Override display 1 to use Xgl (DISPLAY 1 IMPORTANT FOR ATI FGLRX). 1=Xgl [server-Xgl] name=Xgl server command=/usr/bin/Xgl :1 -fullscreen -ac -accel glx:pbuffer -accel xv:fbo flexible=true


4. Modify /etc/gdm/gdm.conf to change your display:
Code:

#0=Standard 1=Standard


** You may have noticed in both steps 3 and 4 that we're using Display 1 instead of 0... this is due to a bug in the current proprietary ATI driver and this is the workaround.

5. Another bug in the driver... And for video, there is a bug with xv, so we want to start "gstreamer-properties" and tell it not to use xv for video. (This is the same as starting "Multimedia Systems Selector", a Preferences application that is currently hidden in your menu system)

6. Modify your session ("Menu System" -> "Preferences" -> "Sessions") by adding in the following two items:
Code:

gnome-window-decorator (must be on top, start first) compiz --replace gconf


7. Start gconf-editor and go to "apps/compiz/general/all screens/options", and adjust "plugins" in the following order:
Code:

gconf decoration wobbly fade minimize cube rotate zoom scale move resize place menu switcher

It MUST be in this order as there are dependencies between them. If you've already been playing with this from earlier debs - maybe from battlehorse, or maybe you rolled your own - this is an important step because it's very likely in the wrong order. Most people that are missing certain plugins or are missing things like "alt-switch" will find they need to correct this and restart.

8. To get around the problem with <Shift> and <Backspace> enter this in your terminal whenever you login:
Code:

xmodmap /usr/share/xmodmap/xmodmap.<language>

where <language> refers to your country's code. For the US, it would be:
Code:

xmodmap /usr/share/xmodmap/xmodmap.us


Once everything is running along happily, this is a good appendix for the commands for using the nifty stuff compiz gives you:
http://en.opensuse.org/Compiz

That's about as easy as I can make it. Good luck.

Some Issues

* This is a wonderful resource for looking into your video card/driver: http://en.opensuse.org/Xgl
* It appears that you might need a 9800 or better ATI right now.
* It appears there may be problems with Mobility users (laptops)
* The latest compiz package may have a bug that doesn't put the necessary gconf settings in place. One possible work-around is to install the battlehorse v1 deb for compiz, then update to the universe deb.


_________________
黑夜给了我黑色的眼睛,我却用它来寻找ubuntu 。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: How To: "Simple" Install Xgl/compiz for Dapper, ATI, Gno
帖子发表于 : 2006-03-07 15:39 

注册: 2006-02-16 19:56
帖子: 90
地址: THU
送出感谢: 0 次
接收感谢: 0 次
我来尝试着翻译一下吧……
如果有不足欢迎大家指正……


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-03-07 16:42 

注册: 2006-02-16 19:56
帖子: 90
地址: THU
送出感谢: 0 次
接收感谢: 0 次
Sorry,有点懒,就直接改在原帖里了,所有红色字体的都为后加,原帖主所写内容原封不动:P by Leal

Default How To: "Simple" Install Xgl/compiz for Dapper, ATI, Gnome
How To : 如何简单的在Dappper、Gnome以及ATI显卡上面安装Xgl/compiz
How To : 如何在Dappper、Gnome和ATI显卡环境下“简单”安装Xgl/compiz

Many people have contributed to this, some more than others as I've picked up the pieces I needed to make this work from through-out these forums.
许多人们早已在为这个项目贡献着自己的力量,不像我仅仅是把这些东西收集了起来。虽然如此,我觉得我也有必要从这些论坛中收集起来这些零碎的信息,组成一个完整的“How to”。

But, in particular: terrax, JoWilly, and poofyhairguy
特别感谢: terrax, JoWilly以及poofyhairguy

1.Get your xorg.conf setup properly. The main thread has more than enough information on this. Follow it paying attention to the ATI differences that are well noted.
1. 设置好你的xorg.conf文件。主流论坛上会有大量相关的帖子,会比我在这里说的更加明确。按照相关的帖子设置好,并注意一下ATI显卡的特殊之处


Just to be clear however, these instructions are targeted for those people using the ATI Proprietary Driver ("fglrx"). This is configured in your xorg.conf. If you're using "ati" that's not going to work for you. If you're using "radeon" then this is theoretically possible (radeon is the OSS driver targeted more - for now - for your lower end Radeon cards, in particular the 9000/9200/9250)... but I wasn't able to get it to work with my lower end PC that uses the 9200. In both cases, there are known/outstanding bugs with both sets of drivers that require work arounds described below.

请明确一点, 无论如何,这里的说明仅仅是为那些使用着ATI proprietary驱动(“fglrx”)的人们而写的。我们主要要设置好你的xorg.conf文件。如果你在使用“ati”设备,则该程序将无法正常工作。如果你在使用的是“radeon”设备,则理论上说,是可能的(radeon—在目前看来—是为ATI公司相对低端的显卡,特别是9000/9200/9250,所开发的开源驱动程序)...但是我无法使其在我的一台使用着9200显卡的低端PC上面正常工作。无论哪种驱动,都被发现有着早被发现的/相当严重的bug,所以我们需要做下列工作:

To make sure you are "accelerated", running with the new driver, try typing fglrxinfo in a terminal and see what you get. If it talks about ATI then awesome... if it talks about Mesa, you still don't have your driver setup properly (xorg.conf).
确信你的显卡加速功能真的被打开了,安装好最新的驱动后,尝试在终端里头输入fglrxinfo并回车,看看你得到了什么。如果它提及“ATI”,太棒了!如果它提示的是“Mesa”,那么你还没有正确的安装好你的驱动(看看你的xorg.conf)。

**For ATI do not enable composite in xorg.conf, xgl does not need it.
**如果是ATI的显卡,则不要在xorg.conf中启用 composite功能,xgl不需要它。

2. Install all the new stuff from the Dapper universe repository... this includes xserver-xgl, compiz, libgl1-mesa, libgl1-mesa-dri, libglitz1, libglitz-glx1 and any dependencies.

2. 安装Dapper发布中的universe库中的全部新的东西,这里头就包含了xserver-xgl,compiz, libgl1-mesa, libgl1-mesa-dri, libglitz1, libglitz-glx1 以及相关的从属包。

3. Modify /etc/gdm/gdm.conf-custom - For most this file is generally full of empty stubs. Look for the one called [servers] and do this:

3. 修改 /etc/gdm/gdm.conf-custom。这个文件的大部分内容都不需要修改,主要去查找[servers]字段:

codes:


代码:
[servers] # Override display 1 to use Xgl (DISPLAY 1 IMPORTANT FOR ATI FGLRX). 1=Xgl [server-Xgl] name=Xgl server command=/usr/bin/Xgl :1 -fullscreen -ac -accel glx:pbuffer -accel xv:fbo flexible=true


4. Modify /etc/gdm/gdm.conf to change your display:

4. 修改/etc/gdm/gdm.conf 来改变你的显示效果:

Code:

代码:
#0=Standard 1=Standard



** You may have noticed in both steps 3 and 4 that we're using Display 1 instead of 0... this is due to a bug in the current proprietary ATI driver and this is the workaround.

**你也许已经注意到,在第三步和第四步中我们都在使用Display1而不是Display0,这是因为当前ATI显卡驱动的一个bug,并且这是工作区(译者:这个怎么翻译亚)

5. Another bug in the driver... And for video, there is a bug with xv, so we want to start "gstreamer-properties" and tell it not to use xv for video. (This is the same as starting "Multimedia Systems Selector", a Preferences application that is currently hidden in your menu system)

5.另外一个驱动的bug……这次是视频部分的,是一个xv相关的bug,所以我们需要打开“gstreamer-properties”并告诉它不要在播放视频的时候使用xv(这个的操作和打开“多媒体系统选择器”一样)

6. Modify your session ("Menu System" -> "Preferences" -> "Sessions") by adding in the following two items:

6.修改你的会话(“系统”->“首选项”->“会话”),并增加下两项:

Code:

代码:
gnome-window-decorator
#上面这条一定要放在第一位,即第一个启动
compiz --replace gconf


7. Start gconf-editor and go to "apps/compiz/general/all screens/options", and adjust "plugins" in the following order:

7.打开gconf-editor并且找到"apps/compiz/general/all screens/options",并按照下列顺序调整"plugins":

Code:

代码:
gconf decoration wobbly fade minimize cube rotate zoom scale move resize place menu switcher


It MUST be in this order as there are dependencies between them. If you've already been playing with this from earlier debs - maybe from battlehorse, or maybe you rolled your own - this is an important step because it's very likely in the wrong order. Most people that are missing certain plugins or are missing things like "alt-switch" will find they need to correct this and restart.
顺序一定不能错,因为它们之间有互相依赖关系。如果已经在以前的deb包中修改过这个文件了——可能是battlehorse,或者你自己已经手动改过了——那么这是相当重要的一步,因为它们很可能被安置为一个错误的顺序了。绝大多数人都缺少一些插件,或者缺少一些类似于“alt-switch”的东西,将发现他们需要修正这些错误并重启你的计算机。

8. To get around the problem with <Shift> and <Backspace> enter this in your terminal whenever you login:

8.要避开(解决?)关于<Shift>和<Backspace>的问题,在你登录后进入一个终端。
8.为了绕开<Shift>和<Backspace>产生的问题,一旦登录,请在终端里输入如下命令:
Code:

代码:
xmodmap /usr/share/xmodmap/xmodmap.<language>


where <language> refers to your country's code. For the US, it would be:
这里的<language>指的是你的国家代码。以美国为例,它将是:
Code:

代码:
xmodmap /usr/share/xmodmap/xmodmap.us


Once everything is running along happily, this is a good appendix for the commands for using the nifty stuff compiz gives you:
一旦一切东西都能正常的跑起来了,这将是一个compiz给你的一个使用这些有趣的东西的命令的附录:

http://en.opensuse.org/Compiz

That's about as easy as I can make it. Good luck.
这就是我所能作到的最简单的了……祝你好运!

Some Issues
一些要点:
* This is a wonderful resource for looking into your video card/driver: http://en.opensuse.org/Xgl
*你在这里将可以找到你的显卡的驱动的好地方: http://en.opensuse.org/Xgl
* It appears that you might need a 9800 or better ATI right now.
*也许你将需要一个9800甚至更好的显卡了
* It appears there may be problems with Mobility users (laptops)
*一些情况表明,移动图形芯片用户(笔记本)将会遇到一些问题……
* The latest compiz package may have a bug that doesn't put the necessary gconf settings in place. One possible work-around is to install the battlehorse v1 deb for compiz, then update to the universe deb.
*最新的compiz包好像有个bug,它没有把gconf文件中的一些设置设置合适。一个可能的工作区(?还是解决方法好呢……)是安装compiz的battlehorse v1包,并升级到最新的universe版本。


最后由 leeangle 编辑于 2006-03-12 15:57,总共编辑了 2 次

页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2006-03-10 17:30 

注册: 2006-01-13 11:30
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
提两个地方:
1.英汉计算机词汇 MESA
台面晶体管[MS]

2. "修改 /etc/gdm/gdm.conf-custom。这个文件主要东西都不需要修改,主要查找[servers]字段" 这个念起来好像有点别扭

本人拙见


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2006-03-10 20:04 

注册: 2006-02-16 19:56
帖子: 90
地址: THU
送出感谢: 0 次
接收感谢: 0 次
Richeal 写道:
提两个地方:
1.英汉计算机词汇 MESA
台面晶体管[MS]

2. "修改 /etc/gdm/gdm.conf-custom。这个文件主要东西都不需要修改,主要查找[servers]字段" 这个念起来好像有点别扭

本人拙见

多谢指正~

不过第一个,我想应该还是VESA,当你的驱动没有安装的时候,使用的是VESA驱动吧,而且显卡和台面晶体管有什么关系……我还没想出来

第二个……我去修改修改措辞……


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2006-03-10 21:45 
头像

注册: 2005-08-29 14:49
帖子: 1119
地址: 杭州
送出感谢: 0 次
接收感谢: 3
leeangle 写道:
Richeal 写道:
提两个地方:
1.英汉计算机词汇 MESA
台面晶体管[MS]

2. "修改 /etc/gdm/gdm.conf-custom。这个文件主要东西都不需要修改,主要查找[servers]字段" 这个念起来好像有点别扭

本人拙见

多谢指正~

不过第一个,我想应该还是VESA,当你的驱动没有安装的时候,使用的是VESA驱动吧,而且显卡和台面晶体管有什么关系……我还没想出来

第二个……我去修改修改措辞……


Mesa 3D图形库,应该没问题


_________________
用心×恒 | 豆瓣 | 门户 | Blog


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2006-03-30 6:48 

注册: 2006-02-05 5:34
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
Richeal 写道:
提两个地方:
1.英汉计算机词汇 MESA
台面晶体管[MS]

在xwindows得体系中 mesa 指得是opengl得开源软件实现,是一个opengl图形库

2. "修改 /etc/gdm/gdm.conf-custom。这个文件主要东西都不需要修改,主要查找[servers]字段" 这个念起来好像有点别扭

本人拙见


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译